Brivio API reference
Emails

List emails sent through the API (scope: emails:read)

GET
/emails

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key as Bearer token

Query Parameters

page?integer
perPage?integer
since?string
Formatdate-time
status?string
Value in"queued""sent""delivered""bounced""complained""suppressed""failed"

Response Body

OK

application/json
  1. response
data*array<>
meta?
error*null
curl -X GET "https://example.com/emails"
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "status": "queued",      "category": "transactional",      "from": "string",      "subject": "string",      "recipients": [        {          "email": "user@example.com",          "name": "string",          "kind": "to",          "status": "accepted"        }      ],      "suppressed_recipients": [        "string"      ],      "tags": [        "string"      ],      "message_id": "string",      "provider_message_id": "string",      "idempotency_key": "string",      "last_error": "string",      "created_at": "2019-08-24T14:15:22Z",      "sent_at": "2019-08-24T14:15:22Z",      "delivered_at": "2019-08-24T14:15:22Z",      "bounced_at": "2019-08-24T14:15:22Z",      "complained_at": "2019-08-24T14:15:22Z",      "events": [        {          "type": "email.queued",          "at": "2019-08-24T14:15:22Z"        }      ]    }  ],  "meta": {    "page": 0,    "perPage": 0,    "total": 0,    "totalPages": 0,    "nextCursor": "string"  },  "error": null}